> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction history (in the past 2 years) 

> Get transaction history (in the past 2 years) 

**Limit: 2 requests per 1 second**\
Get all the transaction details for a specific symbol in the past 2 years.


## OpenAPI

````yaml GET /v3/trade/transactionHistory
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/trade/transactionHistory:
    get:
      description: 'Get transaction history (in the past 2 years) '
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: symbol
          in: query
          description: Symbol name
          required: false
          explode: true
          schema:
            type: string
        - name: startTime
          in: query
          description: Start timestamp in Unix timestamp format in milliseconds
          required: false
          explode: true
          schema:
            type: integer
        - name: endTime
          in: query
          description: End timestamp in Unix timestamp format in milliseconds
          required: false
          explode: true
          schema:
            type: integer
        - name: fromId
          in: query
          description: Trade Id to search from
          required: false
          explode: true
          schema:
            type: integer
        - name: limit
          in: query
          description: Number of results per request
          required: false
          explode: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionsResponse'
      security: []
components:
  schemas:
    GetTransactionsResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    $ref: '#/components/schemas/GetTransactionsRowResponse'
                  description: ''
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    GetTransactionsRowResponse:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the execution detail.
        symbol:
          type: string
          description: Trading pair symbol, e.g., SPOT_BTC_USDT.
        orderId:
          type: integer
          description: Identifier for the order to which this execution belongs.
        orderTag:
          type: string
          description: Tag associated with the order, e.g., 'default'.
        executedPrice:
          type: string
          description: Price at which the execution occurred.
        executedQuantity:
          type: string
          description: Quantity of the asset that was executed.
        isMaker:
          type: integer
          description: Indicates if the order was a maker order (1) or a taker order (0).
        isMatchRpi:
          type: boolean
          description: Indicates if the order was a RPI order.
        side:
          type: string
          description: Trade direction, e.g., SELL or BUY.
          enum:
            - BUY
            - SELL
        fee:
          type: number
          description: Trading fee incurred during the execution.
        feeAsset:
          type: string
          description: Asset type used to pay the trading fee.
        realizedPnl:
          type: string
          nullable: true
          description: Realized profit and loss. Can be null if not applicable.
        executedTimestamp:
          type: integer
          format: int64
          description: Timestamp of the execution in Unix milliseconds.
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````